### Method

# Phosh WallClock get_clock

#### Declaration [src]

    const char*
    phosh_wall_clock_get_clock (
      PhoshWallClock* self,
      gboolean time_only
    )

#### Description [src]

Gets the current clock string, if time_only is true this will be just the current time, otherwise the date + time.

#### Parameters

`time_only`

  Type: `gboolean`

  Whether to return full clock string or just the time.

#### Return value

Type: `const char*`

The clock time string.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.